#####         File name is OptionsDefaults.R
############################################################################
####       OptionsDefaults
####       Setup  Constants and defaults  -  
####       This can be overridden in the main driver program as needed
###############3###########################################################
library(ggplot2)
library(jsonlite)
library(dplyr)

##########################################################################

CURRPRICE = 285   ###   use market price from Yahoo quotes
STKSYMBOL = "SPY"
PERMLEVEL = 2    ###   number of price levels each C / P (ITM/OTM) to consider
VOLTLTY = 0.20   ###   annual for SPY
FIRSTEXPIRY = 14
##  tradeDefaults <- list()
tradeDefaults <- list()
tradeDefaults$strikeRange <- c(-0.15, 0.15)   ##  evaluate 15% above/below mkt
tradeDefaults$nbrStrikes = 2     ##  on either side of a mid point; so 2*2 +1 = 5 in total
tradeDefaults$fixedVals  = FALSE  ##  used fixed strikes if TRUE - must be supplied in fixedStrikes
tradeDefaults$lotsize = 100
tradeDefaults$range  = 0.30    ##   lower & upper limit of prices to evaluate
tradeDefaults$incr  = 0.05    ##   vary strike prices by this %age 
tradeDefaults$fixedStrikes = NULL  ### if only fixed strikes to use provide separately
fixedStrikes = list()
############################################################################