##############    File name   OptionsStratDefinitions.R    ##############
#######         Initialize some predefined strategies
######          Specify the following for each strategy:
#####           1>  Name; 2> leave legsTrade as is
####            Then for each leg. i.e., legsTrade$trades  at minimum:
###             0)  make sure it is indexed  [[1]], [[2]] etc.,
####            a)  whether it is a Buy or Sell & Call or Put; 
####            b)  moneyX, i.e. whether it is A/I/OTM At/In/Out of the Money
####            c)  lotsize
############################
initstrats <- function() {
  stratList <- list()
  specStrategy <- list()
  specStrategy$name = "Double Bear Spread"
  legsTrade <- list(ctrl = c(1,2), fml = "G",nbrStrikes = 4)
  legsTrade$trades[[1]]  =  list(name = "Sell Call", moneyX = "OTM", lotsize = 100, rangeStrike = c(-0.15, 0.15))
  legsTrade$trades[[2]]  =  list(name = "Sell Put", moneyX = "OTM", lotsize = 100, rangeStrike = 1)
  legsTrade$trades[[3]]  =  list(name = "Buy Call", moneyX = "OTM", lotsize = 100, rangeStrike = c(-0.15, 0.15))
  legsTrade$trades[[4]]  =  list(name = "Buy Put", moneyX = "OTM", lotsize = 100, rangeStrike = 1)
  specStrategy$legs  = legsTrade
  stratList[[1]] = specStrategy
  ####
  specStrategy <- list()
  specStrategy$name = "Condor"
  legsTrade <- list(ctrl = c(1,2), fml = "G",nbrStrikes = 4)
  legsTrade$trades[[1]]  =  list(name = "Sell Call", moneyX = "ITM", lotsize = 100, rangeStrike = c(-0.15, 0.15))
  legsTrade$trades[[2]]  =  list(name = "Sell Put", moneyX = "OTM", lotsize = 100, rangeStrike = 1)
  legsTrade$trades[[3]]  =  list(name = "Sell Call", moneyX = "OTM", lotsize = 100, rangeStrike = c(-0.15, 0.15))
  legsTrade$trades[[4]]  =  list(name = "Buy Call", moneyX = "OTM", lotsize = 100, rangeStrike = 1)
  specStrategy$legs  = legsTrade
  stratList[[2]] = specStrategy
  ####
  specStrategy <- list()
  specStrategy$name = "Long Straddle"
  legsTrade <- list(ctrl = c(1,2), fml = "G",nbrStrikes = 4)
  legsTrade$trades[[1]]  =  list(name = "Buy Call", moneyX = "ITM", lotsize = 100, rangeStrike = c(-0.115, 0.15))
  legsTrade$trades[[2]]  =  list(name = "Buy Put", moneyX = "ATM", lotsize = 100, rangeStrike = 1)
  specStrategy$legs  = legsTrade
  stratList[[3]] = specStrategy
  ####
  specStrategy <- list()
  specStrategy$name = "Covered Combination"
  legsTrade <- list(ctrl = c(1,2), fml = "G",nbrStrikes = 4)
  legsTrade$trades[[1]]  =  list(name = "Long", moneyX = "ATM", lotsize = 100, rangeStrike = c(-0.115, 0.15))
  legsTrade$trades[[2]]  =  list(name = "Sell Call", moneyX = "OTM", lotsize = 100, rangeStrike = 1)
  legsTrade$trades[[3]]  =  list(name = "Sell Put", moneyX = "OTM", lotsize = 100, rangeStrike = 1)
  specStrategy$legs  = legsTrade
  stratList[[4]] = specStrategy
  ####
  specStrategy <- list()
  specStrategy$name = "Long Strangle"
  legsTrade <- list(ctrl = c(1,2), fml = "G",nbrStrikes = 4)
  legsTrade$trades[[1]]  =  list(name = "Buy Call", moneyX = "OTM", lotsize = 100, rangeStrike = c(-0.115, 0.15))
  legsTrade$trades[[2]]  =  list(name = "Buy Put", moneyX = "OTM", lotsize = 100, rangeStrike = 1)
  specStrategy$legs  = legsTrade
  stratList[[5]] = specStrategy
  ####
  specStrategy <- list()
  specStrategy$name = "Long Put"
  legsTrade <- list(ctrl = c(1,2), fml = "G",nbrStrikes = 4)
  legsTrade$trades[[1]]  =  list(name = "Buy Put", moneyX = "ATM", lotsize = 100, rangeStrike = c(-0.115, 0.15))
  specStrategy$legs  = legsTrade
  stratList[[6]] = specStrategy
  ###
  specStrategy <- list()
  specStrategy$name = "Calendar Spread"
  legsTrade <- list(ctrl = c(1,2), fml = "G",nbrStrikes = 4)
  legsTrade$trades[[1]]  =  list(name = "Sell Call", moneyX = "OTM", lotsize = 100, rangeStrike = c(-0.115, 0.15))
  #--->  calendar parm specifies months out from current! so need to get that qSlice
  legsTrade$trades[[2]]  =  list(name = "Buy Call", moneyX = "ITM", lotsize = 100, rangeStrike = c(-0.115, 0.15), calendar=1)
  specStrategy$legs  = legsTrade
  stratList[[7]] = specStrategy
  ####
  return(stratList)
}
